package de.thd.pms.service;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.query.Param;

import de.thd.pms.model.Kunde;
import de.thd.pms.repository.BuchungRepository;

import de.thd.pms.repository.KundeRepository;


public class KundeService {
	
	@Autowired
	private KundeRepository kundeRepository;
	@Autowired
	private BuchungRepository buchungRepository;


	
	public void create(String vorname, String nachname, String email, Integer telefon) {
		Kunde k = new Kunde();
		k.setVorname(vorname);
		k.setNachname(nachname);
		k.setEmail(email);
		k.setTelefon(telefon);
		kundeRepository.save(k);
	}

	public Kunde findById(Long id) {
		return kundeRepository.findById(id).get();
	}

	public Kunde save(Kunde person) {
		kundeRepository.save(person);
		return person;
	}
}
